org.apache.poi.sl.usermodel

## Enum TextRun.FieldType

- java.lang.Object
- - java.lang.Enum<TextRun.FieldType>
  - - org.apache.poi.sl.usermodel.TextRun.FieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextRun.FieldType>
  Enclosing interface:
    TextRun

      public static enum TextRun.FieldType
      extends java.lang.Enum<TextRun.FieldType>

  Type of placeholder fields

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_TIME`
    `SLIDE_NUMBER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextRun.FieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextRun.FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SLIDE_NUMBER

          public static final TextRun.FieldType SLIDE_NUMBER

    - #### DATE_TIME

          public static final TextRun.FieldType DATE_TIME

  - ### Method Detail

    - #### values

          public static TextRun.FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextRun.FieldType c : TextRun.FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextRun.FieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.